TrustKeeper Scan Engine Update for December 09, 2015

Summary

The latest update to the TrustKeeper scan engine that powers our Trustwave Vulnerability Management product (including both internal and external vulnerability scanning) is now available. Enjoy!

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

FILL_ME_IN_MANUALLY

  • FreeBSD Access Restriction Vulnerability (FreeBSD-SA-05:06.iir) (CVE-2005-1399)
  • FreeBSD Access Restriction Vulnerability (FreeBSD-SA-05:07.ldt) (CVE-2005-1400)
  • FreeBSD Access Restriction Vulnerability (FreeBSD-SA-05:09.htt) (CVE-2005-0109)
  • FreeBSD Access Restriction Vulnerability (FreeBSD-SA-05:13.ipfw) (CVE-2005-2019)
  • FreeBSD Access Restriction Vulnerability (FreeBSD-SA-07:09.random) (CVE-2007-6150)
  • FreeBSD Arbitrary Code Execution Vulnerability (FreeBSD-SA-05:05.cvs) (CVE-2005-0753)
  • FreeBSD arc4random Entropy Vulnerability (FreeBSD-SA-08.11.arc4random) (CVE-2008-5162)
  • FreeBSD Denial of Service Vulnerability (FreeBSD-SA-05:15.tcp) (CVE-2005-0356, CVE-2005-2068)
  • FreeBSD Denial of Service Vulnerability (FreeBSD-SA-06:04.ipfw) (CVE-2006-0054)
  • FreeBSD Denial of Service Vulnerability (FreeBSD-SA-06:07.pf) (CVE-2006-0381)
  • FreeBSD Denial of Service Vulnerability (FreeBSD-SA-06:08.sack) (CVE-2006-0433)
  • FreeBSD Directory Traversal Vulnerability (FreeBSD-SA-06:16.smbfs) (CVE-2006-2654)
  • FreeBSD Heap-based Buffer Overflow Vulnerability (FreeBSD-SA-05:01.telnet) (CVE-2005-0468, CVE-2005-0469)
  • FreeBSD Information Disclosure Vulnerability (FreeBSD-SA-05:02.sendfile) (CVE-2005-0708)
  • FreeBSD Information Disclosure Vulnerability (FreeBSD-SA-05:03.amd64) (CVE-2005-1036)
  • FreeBSD Information Disclosure Vulnerability (FreeBSD-SA-05:04.ifconf) (CVE-2005-1126)
  • FreeBSD Information Disclosure Vulnerability (FreeBSD-SA-06:14.fpu) (CVE-2006-1056)
  • FreeBSD Information Disclosure Vulnerability (FreeBSD-SA-08:01.pty) (CVE-2008-0216, CVE-2008-0217)
  • FreeBSD Information Disclosure Vulnerability (FreeBSD-SA-08:03.sendfile) (CVE-2008-0777)
  • FreeBSD IPsec Spoofing Vulnerability (FreeBSD-SA-05:19.ipsec) (CVE-2005-2359)
  • FreeBSD ispell_op Symlink Vulnerability (FreeBSD-SA-06:02.ee) (CVE-2006-0055)
  • FreeBSD OpenSSH Denial of Service Vulnerability (FreeBSD-SA-06:09.openssh) (CVE-2006-0883)
  • FreeBSD Privilege Escalation Vulnerability (FreeBSD-SA-08:08.nmount) (CVE-2008-3531)
  • FreeBSD ypserv Access Restrictions Vulnerability (FreeBSD-SA-06:15.ypserv) (CVE-2006-2655)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.